#!/bin/bash

uci_bash_shell_install () {
    local usesudo
    export install_dir="$(dirname $(realpath "${BASH_SOURCE:-$0}"))"
    export BASH_SHELL_BASE="$(dirname $install_dir)"
    # export BASH_SHELL_BASE="$(dirname "$(cd "$(dirname "${BASH_SOURCE:-$0}")" >/dev/null 2>&1 ; pwd -P )")"
    echo "Detected The UCI BASH Shell install directory: BASH_INSTALL_DIR=$install_dir"
    echo "Detected The UCI BASH Shell base directory: BASH_SHELL_BASE=$BASH_SHELL_BASE"
    [[ $EUID -ne 0 ]] && usesudo=sudo
    $usersudo $SHELL $install_dir/scripts/copy-etc.sh
    $usersudo $SHELL $install_dir/scripts/copy-root.sh
   [[ $(id -u $1 2> /dev/null) ]] && $usersudo $SHELL $install_dir/scripts/copy-user.sh "$@"
    }

# # if script was executed then call the function
(return 0 2>/dev/null) || uci_bash_shell_install "$@"